<?php
/****************************************************
  Coppermine 1.5.x Plugin - Facebook OAuth (fb_oauth)
  ***************************************************
  Copyright (c) 2010 Jon Troncoso, 2011 Roland Fulde
  **************************************************/

global $USER_DATA, $USER;

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

require_once ('./plugins/fb_oauth/include/fbconnect.php');

$facebook = new Facebook(array(
  'appId'  => 'YOUR_APP_ID',
  'secret' => 'YOUR_SECRET_KEY',
  'cookie' => true,
));
$login_params = array(
	'req_perms' => 'email'
	);

// Set this to the Coppermine group that you want Facebook users to have as a default group
$fb_defaultgroup = 'Guests';

$session = $facebook->getSession();

if($USER_DATA==0 && !empty($session)){
	define('LOGIN_PHP', true);
}


// Include the language file
require ("./plugins/fb_oauth/lang/english.php");
if (file_exists("./plugins/fb_oauth/lang/{$USER['lang']}.php")) {
	require ("./plugins/fb_oauth/lang/{$USER['lang']}.php");
}
                        
?>